BUILDCSR(FEBRUARY 2001)

NAME
buildcsr - builds a cursor

SYNOPSIS
buildcsr [-p name -b name -m mode -s]

DESCRIPTION
buildcsr presents a blank screen with a cursor. One may hold down the left mouse button and draw the color1 part of the cursor on the screen. Typing 2 on the keyboard will cause color2 to be drawn. The cursor can be viewed as a cursor by typing n. To modify the cursor type o to go back to the original cursor. Pixels may be erased by clicking on them with the right mouse button. The left mouse button will draw either color1 or color2, depending on whether 1 or 2 was chosen from the keyboard last. The current color is displayed at the bottom of the screen.

OPTIONS

-p  and

-b  followed by name will produce a cursor file with the name name.

-p  will produce a c language definition of the cursor suitable for inclusion in a program as a header file.

-b  will produce a binary cursor file which may be read into a user program at execution time.

-m  mode , a mode number will cause the program to run in mode mode. This will not make a difference in the screen representation of the cursor, but the cursor itself will be much smaller in high resolution modes. Thus, for high resolution it is wise to construct the cursor using the resolution at which it is intended to be used. Typing n will show the cursor as it will look at the resolution of the screen. If no mode is given using -m the mode will be SVGALIB_DEFAULT_MODE if that has been defined in an environment variable. If no default has been given and no -m was used, the screen mode will be mode 5, G320x200x256, which is default for this program. The hardware cursor will be used if a hardware cursor exists for the video card in use, otherwise the software cursor will be used.

-s  option will force the software cursor to be used even if a hardware cursor exists.

ENVIRONMENT

SVGALIB_DEFAULT_MODE
    will be used if it has been defined and -m was not given. If neither of these are in effect the mode will be mode 5, G320x200x256.

AUTHOR
Don Secrest <secrest@uiuc.edu>

SEE ALSO
VGA_CURSOR(3) VGA_GETDEFAULTMODE(3)